## ru.biosoft.plugins.jri
Class RserveException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.rosuda.REngine.REngineException
                  ru.biosoft.plugins.jri.RserveException

All Implemented Interfaces:
  java.io.Serializable

    public class RserveException

extends org.rosuda.REngine.REngineException

See Also:
  Serialized Form

Constructor Summary
`RserveException(RServeRObject c, java.lang.String msg)`
`RserveException(RServeRObject c, java.lang.String msg, int requestReturnCode)`
`RserveException(RServeRObject c, java.lang.String msg, RPacket p)`

Method Summary
`java.lang.String` | `getMessage()`
`java.lang.String` | `getRequestErrorDescription()`
`java.lang.String` | `getRequestErrorDescription(int code)`
`int` | `getRequestReturnCode()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RserveException

    public RserveException(RServeRObject c,
                           java.lang.String msg)

### RserveException

    public RserveException(RServeRObject c,
                           java.lang.String msg,
                           int requestReturnCode)

### RserveException

    public RserveException(RServeRObject c,
                           java.lang.String msg,
                           RPacket p)

Method Detail

### getRequestErrorDescription

    public java.lang.String getRequestErrorDescription()

### getRequestErrorDescription

    public java.lang.String getRequestErrorDescription(int code)

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

### getRequestReturnCode

    public int getRequestReturnCode()

Copyright © 2001-2009 Biosof.Ru. All Rights Reserved.